[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Please unblock ruby1.9


I have uploaded to unstable ruby1.9
It includes a fix to #492206. Ruby's own packaging system was unusable.
It also includes a patch to reduce building time significantly, which will make
further maintenance much easier. No functional change.

Please consider an exception for ruby1.9 to enter Lenny.

ruby1.9 ( unstable; urgency=low

  [ Lucas Nussbaum ]
  * Because of make's dependency handling on phony targets after the addition
    of the watch in, parse.o was rebuilt three times during the
    build process. Build it only once, which should reduce the build time

  [ Daigo Moriwaki ]
  * Added debian/patches/201_gem_prelude.dpatch, which is required to adjust
    the default RubyGems directory.
    Thanks to Tony Arcieri for reporting this issue.

 -- Daigo Moriwaki <daigo@debian.org>  Wed, 23 Jul 2008 23:30:44 +0900

Thanks in advance,

Daigo Moriwaki
beatles at sgtpepper dot net

Reply to: